# -*- coding: utf-8 -*-
import sqlite3, sys, re

def db_connect(db_name):
    try:
        db = sqlite3.connect (db_name, isolation_level=None)
    except (sqlite3.Error, sqlite3.Warning) as err:
        print("He удалось подключиться к БД")
        input()
        sys.exit(0)
    return db

print ("Введите название базы данных:", end=" ")
db_name = input ()
con = db_connect(db_name)# Подключаемся к базе
cur = con.cursor()
sql = ""
print ("Чтобы закончить выполнение программы, введите <Q>+<Enter>")
while True:
    tmp = input()
    if tmp in ["q", "Q"]:
        break
    if tmp.strip() == "":
        continue
    sql = "{0} {1}".format(sql, tmp)
    if sqlite3.complete_statement(sql):
        try:
            sql = sql.strip()
            cur.execute(sql)
            if re.match("SELECT ", sql, re.I):
                print(cur.fetchall())
        except (sqlite3.Error, sqlite3.Warning) as err:
            print("Ошибка:", err)
        else:
            print("Запрос успешно выполнен")
    sql = ""
cur.close()
con.close()
